Logic Pro 7 & earlier Can one run Logic 7 in Snow Leopard? (I know crazy....)

#1
About to, finally, migrate to a slamming computer and wondering what I would need my G5 for in the future. I have had to go back and load a Logic session from 1999(!) this year, which one needs Logic 7 for, and it seems this might be the only reason to keep this older machine. So can one load L7 onto an Intel machine and the latest operating system for retro Logic's sake?
thanks,
Jamie
jamielawrenceproductions.com
 

Gio

Logician
#3
yes,
works here. Had to do a bunch of song updating just this weekend (from Logic 4 and 5) so I still used 7 to update files. I'm running snow leopard
 
#5
Wow cool. Ok then - another question: Since I have a new computer with Logic 9 running on it -- can I just drag the logic 7 app off of my old computer onto the new one? Or do I need to run an installer? I'll try it but thought one of you must know. :)
Thanks!
jamie
 

Markdvc

Administrator
Staff member
#7
Wow cool. Ok then - another question: Since I have a new computer with Logic 9 running on it -- can I just drag the logic 7 app off of my old computer onto the new one? Or do I need to run an installer? I'll try it but thought one of you must know. :)
Thanks!
jamie
Hmm, I would be a littel nervous about installing an older version of logic on a system on which a newer version is already in place. My suggestion would be to clone your system HD, and try this out on the clone before commiting to changing your working system. I can see all sorts of problems cropping up with Space Designer IRs, EXS libraries, Apple Loops and possibly more.

kind regards

Mark
 
Top